using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.Concurrent;

namespace NetClient
{
    //clietn manager class
    public class ClientManager
    {
        //singleton object.
        public static BaseDevice Instance = null;
        //lock for multithreading.
        public static readonly object InitLock = new object();
        public static int ClientCount = 0;
        //event lock for multithreading.
        public static readonly object EventLock = new object();

        public static RealPlayManager RealPlayManagerInstance = null;

        public static readonly object RealPlayLock = new object();

        public static AlarmEventManager AlarmEventInstance = null;

        public static readonly object AlarmEventLock = new object();

        public static IVSEventManager IVSEventInstance = null;

        public static readonly object IVSEvnetLock = new object();

        public static PlayBackAndDownloadManager PlayBackAndDownloadInstance = null;

        public static readonly object PlayBackAndDownloadLock = new object();
    }
}
